﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace _106037
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;
            ultraDayView1.CreationFilter = new MyCreation();
            for (int i = 0; i < 10; i++)
            {
                ultraCalendarInfo1.Owners.Add(string.Format("Owner #{0,2}", i));
                if (i % 2 == 0)
                {
                    fillWithApp(ultraCalendarInfo1.Owners[string.Format("Owner #{0,2}", i)]);
                }

                if (i % 4 == 0)
                {
                    ultraCalendarInfo1.Owners[string.Format("Owner #{0,2}", i)].Tag = string.Format(
                        "This is some comments for Owner #{0,2} ", i);
                }
            }

        }

        private void fillWithApp(Infragistics.Win.UltraWinSchedule.Owner owner)
        {
            DateTime sdate = new DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 8, 0, 0);
            do
            {
                ultraCalendarInfo1.Appointments.Add(
                    new Appointment(sdate, sdate.AddMinutes(20))
                    {
                        Subject = "OPEN TO SCHUDELE",
                        Owner = owner
                    });
                sdate = sdate.AddMinutes(20);
            } while (sdate.Hour < 23);
        }
    }
}
