﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.DayView;
using System.Drawing;
using System.Diagnostics;

namespace _106037
{
    class MyCreation : IUIElementCreationFilter
    {
        bool wrapText = true;

        public bool WrapText
        {
            get { return wrapText; }
            set { wrapText = value; }
        }

        int rotationDegrees = -90;

        public int RotationDegrees
        {
            get { return rotationDegrees; }
            set { rotationDegrees = value; }
        }

        VAlign textVAlign = VAlign.Middle;

        public VAlign TextVAlign
        {
            get { return textVAlign; }
            set { textVAlign = value; }
        }

        HAlign textHAlign = HAlign.Center;

        public HAlign TextHAlign
        {
            get { return textHAlign; }
            set { textHAlign = value; }
        }

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is DayUIElement && !string.IsNullOrEmpty((((DayUIElement)parent).Owner.Tag as string)))
            {
                string coment = ((DayUIElement)parent).Owner.Tag as string;
                parent.Rect = new System.Drawing.Rectangle(parent.Rect.Location,
                    new System.Drawing.Size((int)(parent.Parent.Rect.Width * 0.7), parent.Rect.Height));
                TextUIElement t = (TextUIElement)parent.Parent.ChildElements.FirstOrDefault(el => el is TextUIElement);
                if (t == null)
                {
                    t = new TextUIElement(parent.Parent, coment);
                    parent.Parent.ChildElements.Add(t);
                }
                Rectangle rect = parent.Parent.Rect;
                Point location = rect.Location;
                location.Offset((int)(rect.Width * 0.7), 0);
                Size size = new Size((int)(rect.Width * 0.3), rect.Height);
                rect = new Rectangle(location, size);
                t.Rect = rect;
                t.TextOrientation = new TextOrientationInfo(rotationDegrees, TextFlowDirection.Horizontal);
                t.WrapText = wrapText;
                t.TextVAlign = textVAlign;
                t.TextHAlign = textHAlign;
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {

            return false;
        }
    }

}
